vich_uploader:
    db_driver: orm
    mappings:
        user_images:
            uri_prefix:         '%app.path.user_images%'
            upload_destination: '%kernel.project_dir%/public%app.path.user_images%'
            namer: Vich\UploaderBundle\Naming\UniqidNamer
            inject_on_load: false
            delete_on_update: true
            delete_on_remove: true
        logo_image:
            uri_prefix: '%app.path.logo_image%'
            upload_destination: '%kernel.project_dir%/public%app.path.logo_image%'
            namer:
                service: Vich\UploaderBundle\Naming\PropertyNamer
                options: { property: 'slug' }
            inject_on_load: false
            delete_on_update: true
            delete_on_remove: true
        cv_pdf:
            uri_prefix:         '%app.path.cv_pdf%'
            upload_destination: '%kernel.project_dir%/public%app.path.cv_pdf%'
            namer: Vich\UploaderBundle\Naming\UniqidNamer
            inject_on_load: false
            delete_on_update: true
            delete_on_remove: true
        doc_file:
            uri_prefix:         '%app.path.doc_file%'
            upload_destination: '%kernel.project_dir%/public%app.path.doc_file%'
            inject_on_load: false
            delete_on_update: true
            delete_on_remove: true
        video_file:
            uri_prefix:         '%app.path.video_file%'
            upload_destination: '%kernel.project_dir%/public%app.path.video_file%'
            namer: Vich\UploaderBundle\Naming\UniqidNamer
            inject_on_load: false
            delete_on_update: true
            delete_on_remove: true
